src/IS4SSO.Admin/Controllers/ConfigurationController.cs
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Localization;
using Microsoft.Extensions.Logging;
using Skoruba.IdentityServer4.Admin.BusinessLogic.Dtos.Configuration;
using Skoruba.IdentityServer4.Admin.BusinessLogic.Helpers;
using Skoruba.IdentityServer4.Admin.BusinessLogic.Services.Interfaces;
using IS4SSO.Admin.Configuration.Constants;
using IS4SSO.Admin.ExceptionHandling;

namespace IS4SSO.Admin.Controllers
{
    [Authorize(Policy = AuthorizationConsts.AdministrationPolicy)]
    [TypeFilter(typeof(ControllerExceptionFilterAttribute))]
    public class ConfigurationController : BaseController
    {
        private readonly IIdentityResourceService _identityResourceService;
        private readonly IApiResourceService _apiResourceService;
        private readonly IClientService _clientService;
        private readonly IStringLocalizer<ConfigurationController> _localizer;

        public ConfigurationController(IIdentityResourceService identityResourceService,
            IApiResourceService apiResourceService,
            IClientService clientService,
            IStringLocalizer<ConfigurationController> localizer,
            ILogger<ConfigurationController> logger)
            : base(logger)
        {
            _identityResourceService = identityResourceService;
            _apiResourceService = apiResourceService;
            _clientService = clientService;
            _localizer = localizer;
        }

        [HttpGet]
        [Route("[controller]/[action]")]
        [Route("[controller]/[action]/{id:int}")]
        public async Task<IActionResult> Client(int id)
        {
            if (id == 0)
            {
                var clientDto = _clientService.BuildClientViewModel();
                return View(clientDto);
            }

            var client = await _clientService.GetClientAsync((int)id);
            client = _clientService.BuildClientViewModel(client);

            return View(client);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Client(ClientDto client)
        {
            client = _clientService.BuildClientViewModel(client);

            if (!ModelState.IsValid)
            {
                return View(client);
            }

            //Add new client
            if (client.Id == 0)
            {
                var clientId = await _clientService.AddClientAsync(client);
                SuccessNotification(string.Format(_localizer["SuccessAddClient"], client.ClientId), _localizer["SuccessTitle"]);

                return RedirectToAction(nameof(Client), new { Id = clientId });
            }

            //Update client
            await _clientService.UpdateClientAsync(client);
            SuccessNotification(string.Format(_localizer["SuccessUpdateClient"], client.ClientId), _localizer["SuccessTitle"]);

            return RedirectToAction(nameof(Client), new { client.Id });
        }

        [HttpGet]
        public async Task<IActionResult> ClientClone(int id)
        {
            if (id == 0) return NotFound();

            var clientDto = await _clientService.GetClientAsync(id);
            var client = _clientService.BuildClientCloneViewModel(id, clientDto);

            return View(client);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> ClientClone(ClientCloneDto client)
        {
            if (!ModelState.IsValid)
            {
                return View(client);
            }

            var newClientId = await _clientService.CloneClientAsync(client);
            SuccessNotification(string.Format(_localizer["SuccessClientClone"], client.ClientId), _localizer["SuccessTitle"]);

            return RedirectToAction(nameof(Client), new { Id = newClientId });
        }

        [HttpGet]
        public async Task<IActionResult> ClientDelete(int id)
        {
            if (id == 0) return NotFound();

            var client = await _clientService.GetClientAsync(id);

            return View(client);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> ClientDelete(ClientDto client)
        {
            await _clientService.RemoveClientAsync(client);

            SuccessNotification(_localizer["SuccessClientDelete"], _localizer["SuccessTitle"]);

            return RedirectToAction(nameof(Clients));
        }

        [HttpGet]
        public async Task<IActionResult> ClientClaims(int id, int? page)
        {
            if (id == 0) return NotFound();

            var claims = await _clientService.GetClientClaimsAsync(id, page ?? 1);

            return View(claims);
        }

        [HttpGet]
        public async Task<IActionResult> ClientProperties(int id, int? page)
        {
            if (id == 0) return NotFound();

            var properties = await _clientService.GetClientPropertiesAsync(id, page ?? 1);

            return View(properties);
        }

        [HttpGet]
        public async Task<IActionResult> ApiResourceProperties(int id, int? page)
        {
            if (id == 0) return NotFound();

            var properties = await _apiResourceService.GetApiResourcePropertiesAsync(id, page ?? 1);

            return View(properties);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> ApiResourceProperties(ApiResourcePropertiesDto apiResourceProperty)
        {
            if (!ModelState.IsValid)
            {
                return View(apiResourceProperty);
            }

            await _apiResourceService.AddApiResourcePropertyAsync(apiResourceProperty);
            SuccessNotification(string.Format(_localizer["SuccessAddApiResourceProperty"], apiResourceProperty.Key, apiResourceProperty.ApiResourceName), _localizer["SuccessTitle"]);

            return RedirectToAction(nameof(ApiResourceProperties), new { Id = apiResourceProperty.ApiResourceId });
        }

        [HttpGet]
        public async Task<IActionResult> IdentityResourceProperties(int id, int? page)
        {
            if (id == 0) return NotFound();

            var properties = await _identityResourceService.GetIdentityResourcePropertiesAsync(id, page ?? 1);

            return View(properties);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> IdentityResourceProperties(IdentityResourcePropertiesDto identityResourceProperty)
        {
            if (!ModelState.IsValid)
            {
                return View(identityResourceProperty);
            }

            await _identityResourceService.AddIdentityResourcePropertyAsync(identityResourceProperty);
            SuccessNotification(string.Format(_localizer["SuccessAddIdentityResourceProperty"], identityResourceProperty.Value, identityResourceProperty.IdentityResourceName), _localizer["SuccessTitle"]);

            return RedirectToAction(nameof(IdentityResourceProperties), new { Id = identityResourceProperty.IdentityResourceId });
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> ClientProperties(ClientPropertiesDto clientProperty)
        {
            if (!ModelState.IsValid)
            {
                return View(clientProperty);
            }

            await _clientService.AddClientPropertyAsync(clientProperty);
            SuccessNotification(string.Format(_localizer["SuccessAddClientProperty"], clientProperty.ClientId, clientProperty.ClientName), _localizer["SuccessTitle"]);

            return RedirectToAction(nameof(ClientProperties), new { Id = clientProperty.ClientId });
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> ClientClaims(ClientClaimsDto clientClaim)
        {
            if (!ModelState.IsValid)
            {
                return View(clientClaim);
            }

            await _clientService.AddClientClaimAsync(clientClaim);
            SuccessNotification(string.Format(_localizer["SuccessAddClientClaim"], clientClaim.Value, clientClaim.ClientName), _localizer["SuccessTitle"]);

            return RedirectToAction(nameof(ClientClaims), new { Id = clientClaim.ClientId });
        }

        [HttpGet]
        public async Task<IActionResult> ClientClaimDelete(int id)
        {
            if (id == 0) return NotFound();

            var clientClaim = await _clientService.GetClientClaimAsync(id);

            return View(nameof(ClientClaimDelete), clientClaim);
        }

        [HttpGet]
        public async Task<IActionResult> ClientPropertyDelete(int id)
        {
            if (id == 0) return NotFound();

            var clientProperty = await _clientService.GetClientPropertyAsync(id);

            return View(nameof(ClientPropertyDelete), clientProperty);
        }

        [HttpGet]
        public async Task<IActionResult> ApiResourcePropertyDelete(int id)
        {
            if (id == 0) return NotFound();

            var apiResourceProperty = await _apiResourceService.GetApiResourcePropertyAsync(id);

            return View(nameof(ApiResourcePropertyDelete), apiResourceProperty);
        }

        [HttpGet]
        public async Task<IActionResult> IdentityResourcePropertyDelete(int id)
        {
            if (id == 0) return NotFound();

            var identityResourceProperty = await _identityResourceService.GetIdentityResourcePropertyAsync(id);

            return View(nameof(IdentityResourcePropertyDelete), identityResourceProperty);
        }

        [HttpPost]
        public async Task<IActionResult> ClientClaimDelete(ClientClaimsDto clientClaim)
        {
            await _clientService.DeleteClientClaimAsync(clientClaim);
            SuccessNotification(_localizer["SuccessDeleteClientClaim"], _localizer["SuccessTitle"]);

src/IS4SSO.Admin/Views/Configuration/ApiResource.cshtml
@using Microsoft.AspNetCore.Mvc.Localization
@model Skoruba.IdentityServer4.Admin.BusinessLogic.Dtos.Configuration.ApiResourceDto
@inject IViewLocalizer Localizer

@{
	ViewBag.Title = Localizer["PageTitle"];
	Layout = "_Layout";
}

<div class="row">
	<div class="col-12">
		<nav aria-label="breadcrumb">
			<ol class="breadcrumb">
				<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiResources">@Localizer["NavigationApiResources"]</a></li>
				<li class="breadcrumb-item active" aria-current="page">@Model.Name</li>
			</ol>
		</nav>
	</div>

	<div class="col-12">
		<h2>@Localizer["PageTitle"]</h2>
	</div>
</div>

<form asp-action="ApiResource" method="post" id="api-resource-form">

	<div asp-validation-summary="All" class="text-danger"></div>

	<!--Hidden -->
	<input type="hidden" asp-for="Id" />

	<div class="card mt-3">
		<h5 class="card-header">@Localizer["PanelTitle"]</h5>
		<div class="card-body">

			<!--Input - text -->
			<div class="form-group row">
				<label asp-for="Name" class="col-sm-3 col-form-label">
					@await Html.PartialAsync("ApiResource/Section/Label", "Name")
				</label>
				<div class="col-sm-9">
					<input type="text" required class="form-control" asp-for="Name">
					<span asp-validation-for="Name" class="text-danger"></span>
				</div>
			</div>

			<!--Input - text -->
			<div class="form-group row">
				<label asp-for="DisplayName" class="col-sm-3 col-form-label">
					@await Html.PartialAsync("ApiResource/Section/Label", "DisplayName")
				</label>
				<div class="col-sm-9">
					<input type="text" class="form-control" asp-for="DisplayName">
				</div>
			</div>

			<!--Input - text -->
			<div class="form-group row">
				<label asp-for="Description" class="col-sm-3 col-form-label">
					@await Html.PartialAsync("ApiResource/Section/Label", "Description")
				</label>
				<div class="col-sm-9">
					<input type="text" class="form-control" asp-for="Description">
				</div>
			</div>

			<!--Checkbox-->
			<div class="form-group row">
				<label asp-for="Enabled" class="col-sm-3 col-form-label">
					@await Html.PartialAsync("ApiResource/Section/Label", "Enabled")
				</label>
				<div class="col-sm-9">
					<toggle-button>
						<input asp-for="Enabled" type="checkbox">
					</toggle-button>
				</div>
			</div>

			@if (Model.Id != 0)
			{
				<!--Button-->
				<div class="form-group row">
					<label class="col-sm-3 col-form-label">
						@await Html.PartialAsync("ApiResource/Section/Label", "Scopes")
					</label>
					<div class="col-sm-9">
						<a asp-action="ApiScopes" asp-route-id="@Model.Id" class="btn btn-primary">@Localizer["ButtonManageScopes"]</a>
					</div>
				</div>
				<!--Button-->
				<div class="form-group row">
					<label class="col-sm-3 col-form-label">
						@await Html.PartialAsync("ApiResource/Section/Label", "Secrets")
					</label>
					<div class="col-sm-9">
						<a asp-action="ApiSecrets" asp-route-id="@Model.Id" class="btn btn-primary">@Localizer["ButtonManageSecrets"]</a>
					</div>
				</div>
				<!--Button-->
				<div class="form-group row">
					<label class="col-sm-3 col-form-label">
						@await Html.PartialAsync("ApiResource/Section/Label", "Properties")
					</label>
					<div class="col-sm-9">
						<a asp-action="ApiResourceProperties" asp-route-id="@Model.Id" class="btn btn-primary">@Localizer["ButtonManageProperties"]</a>
					</div>
				</div>
			}

			<!--Select with tags-->
			<div class="form-group row">
				<label asp-for="UserClaims" class="col-sm-3 col-form-label">
					@await Html.PartialAsync("ApiResource/Section/Label", "UserClaims")
				</label>
				<div class="col-sm-9">
					<picker id="UserClaimsItems" multiple-select="true" min-search-text="2"
							selected-items="@Model.UserClaims" url="@Url.Action("SearchClaims","Configuration")?claim"
							search-input-placeholder="@Localizer["PickerSearchItemPlaceholder"].Value"
							selected-items-title="@Localizer["PickerSelectedItemsTitle"].Value"
							search-result-title="@Localizer["PickerSearchResultTitle"].Value"
							suggested-items-title="@Localizer["PickerSuggestedItemsTitle"].Value"
							no-item-selected-title="@Localizer["PickerNoItemSelectedTitle"].Value"
							show-all-items-title="@Localizer["PickerShowAllItemsTitle"].Value"
							item-already-selected-title="@Localizer["PickerItemAlreadySelectedTitle"].Value">
					</picker>
				</div>
			</div>

			<!--Button-->
			<div class="form-group row">
				<label class="col-sm-3 col-form-label">
				</label>
				<div class="col-sm-9">
					<button type="submit" id="api-resource-save-button" class="btn btn-primary">@Localizer["ButtonSaveApiResource"]</button>
					@if (Model.Id != 0)
					{
						<a class="btn btn-danger" asp-action="ApiResourceDelete" asp-route-id="@Model.Id">@Localizer["ButtonDeleteApiResource"]</a>
					}
				</div>
			</div>
		</div>
	</div>

</form>

@section scripts
	{
	<script>
		$(function () {
			//Disable enter for this form
			FormMvc.disableEnter($('#api-resource-form'));
		});
	</script>
}

src/IS4SSO.Admin/Views/Configuration/ApiResourceDelete.cshtml
@using Microsoft.AspNetCore.Mvc.Localization
@model Skoruba.IdentityServer4.Admin.BusinessLogic.Dtos.Configuration.ApiResourceDto
@inject IViewLocalizer Localizer

@{
	ViewBag.Title = Localizer["PageTitle"];
	Layout = "_Layout";
}	

<div class="row">
	<div class="col-12">
		<nav aria-label="breadcrumb">
			<ol class="breadcrumb">
				<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiResources">@Localizer["NavigationApiResources"]</a></li>
				<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiResource" asp-route-id="@Model.Id">@Model.Name</a></li>
				<li class="breadcrumb-item active" aria-current="page">@Localizer["PageTitle"]</li>
			</ol>
		</nav>
	</div>

	<div class="col-12">
		<h2>@Localizer["PageTitle"]</h2>
	</div>
</div>

<form asp-action="ApiResourceDelete" method="post" id="api-resource-form">

	<!--Hidden -->
	<input type="hidden" asp-for="Id" />

	<div class="card mt-3">
		<h5 class="card-header">@Localizer["PanelTitle"]</h5>
		<div class="card-body">

			<!--Input - text -->
			<div class="form-group row">
				<label asp-for="Name" class="col-sm-3 col-form-label">
					@await Html.PartialAsync("ApiResource/Section/Label", "Name")
				</label>
				<div class="col-sm-9">
					<input type="text" class="form-control" disabled="disabled" asp-for="Name">
				</div>
			</div>

			<!--Button-->
			<div class="form-group row">
				<label class="col-sm-3 col-form-label">
				</label>
				<div class="col-sm-9">
					<button type="submit" class="btn btn-danger">@Localizer["ButtonDeleteApiResource"]</button>
				</div>
			</div>
		</div>
	</div>
</form>

src/IS4SSO.Admin/Views/Configuration/ApiResourcePropertyDelete.cshtml
@using Microsoft.AspNetCore.Mvc.Localization
@model Skoruba.IdentityServer4.Admin.BusinessLogic.Dtos.Configuration.ApiResourcePropertiesDto
@inject IViewLocalizer Localizer

@{
	ViewBag.Title = Localizer["PageTitle"];
	Layout = "_Layout";
}

<form asp-controller="Configuration" asp-action="ApiResourcePropertyDelete" Method="post">
	<div class="row">

		<div class="col-12">
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiResources">@Localizer["NavigationApiResources"]</a></li>
					<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiResource" asp-route-id="@Model.ApiResourceId">@Model.ApiResourceName</a></li>
					<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiResourceProperties" asp-route-id="@Model.ApiResourceId">@Localizer["NavigationApiResourceProperties"]</a></li>
					<li class="breadcrumb-item active" aria-current="page">@Localizer["PageTitle"]</li>
				</ol>
			</nav>
		</div>

		<div class="col-md-12">
			<h3>@Localizer["PageTitle"]</h3>
			
			<!--Hidden -->
			<input type="hidden" asp-for="ApiResourceId" />
			<input type="hidden" asp-for="ApiResourcePropertyId" />

			<div class="card mt-3">
				<h5 class="card-header">@Localizer["PanelTitle"]</h5>
				<div class="card-body">
					<!--Input - text -->
					<div class="form-group row">
						<label asp-for="Key" class="col-sm-3 col-form-label">
							@await Html.PartialAsync("ApiResource/Section/Label", "PropertyKey")
						</label>
						<div class="col-sm-9">
							<input type="text" class="form-control" disabled="disabled" asp-for="Key">
						</div>
					</div>

					<!--Input - text -->
					<div class="form-group row">
						<label asp-for="Value" class="col-sm-3 col-form-label">
							@await Html.PartialAsync("ApiResource/Section/Label", "PropertyValue")
						</label>
						<div class="col-sm-9">
							<input type="text" class="form-control" disabled="disabled" asp-for="Value">
						</div>
					</div>

					<!--Button-->
					<div class="form-group row">
						<label class="col-sm-3 col-form-label">
						</label>
						<div class="col-sm-9">
							<button type="submit" class="btn btn-danger">@Localizer["ButtonDeleteProperty"]</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>

src/IS4SSO.Admin/Views/Configuration/ApiScopeDelete.cshtml
@using Microsoft.AspNetCore.Mvc.Localization
@model Skoruba.IdentityServer4.Admin.BusinessLogic.Dtos.Configuration.ApiScopesDto
@inject IViewLocalizer Localizer

@{
	ViewBag.Title = Localizer["PageTitle"];
	Layout = "_Layout";
}

<div class="row">
	<div class="col-12">
		<nav aria-label="breadcrumb">
			<ol class="breadcrumb">
				<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiResources">@Localizer["NavigationApiResources"]</a></li>
				<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiResource" asp-route-id="@Model.ApiResourceId">@Model.ResourceName</a></li>
				<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiScopes" asp-route-id="@Model.ApiResourceId">@Localizer["NavigationApiScopes"]</a></li>
				<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="ApiScopes" asp-route-id="@Model.ApiResourceId" asp-route-scope="@Model.ApiScopeId">@Model.Name</a></li>
				<li class="breadcrumb-item active" aria-current="page">@Localizer["PageTitle"]</li>
			</ol>
		</nav>
	</div>

	<div class="col-12">
		<h2>@Localizer["PageTitle"]</h2>
	</div>
</div>

<form asp-action="ApiScopeDelete" method="post">

	<!--Hidden -->
	<input type="hidden" asp-for="ApiScopeId" />

	<!--Hidden -->
	<input type="hidden" asp-for="ApiResourceId" />
	
	<div class="card mt-3">
		<h5 class="card-header">@Localizer["PanelTitle"]</h5>
		<div class="card-body">

			<!--Input - text -->
			<div class="form-group row">
				<label asp-for="Name" class="col-sm-3 col-form-label">
					@await Html.PartialAsync("ApiResource/Section/Label", "Name")
				</label>
				<div class="col-sm-9">
					<input type="text" class="form-control" disabled="disabled" asp-for="Name">
				</div>
			</div>

			<!--Button-->
			<div class="form-group row">
				<label class="col-sm-3 col-form-label">
				</label>
				<div class="col-sm-9">
					<button type="submit" class="btn btn-danger">@Localizer["ButtonDeleteApiScope"]</button>
				</div>
			</div>
		</div>
	</div>

</form>

src/IS4SSO.Admin/Views/Configuration/ClientClaims.cshtml
@using Microsoft.AspNetCore.Mvc.Localization
@using Skoruba.IdentityServer4.Admin.BusinessLogic.Shared.Dtos.Common
@model Skoruba.IdentityServer4.Admin.BusinessLogic.Dtos.Configuration.ClientClaimsDto
@inject IViewLocalizer Localizer

@{
	ViewBag.Title = Localizer["PageTitle"];
	Layout = "_Layout";
}

<form id="client-claims-form" asp-controller="Configuration" asp-action="ClientClaims" Method="post">
	<div class="row">

		<div class="col-12">
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="Clients">@Localizer["NavigationClients"]</a></li>
					<li class="breadcrumb-item"><a asp-controller="Configuration" asp-action="Client" asp-route-id="@Model.ClientId">@Model.ClientName</a></li>
					<li class="breadcrumb-item active" aria-current="page">@Localizer["NavigationClientClaims"]</li>
				</ol>
			</nav>
		</div>

		<div class="col-md-12">
			<h3>@Localizer["PageTitle"]</h3>

			<div asp-validation-summary="All" class="text-danger"></div>			

			<!--Hidden -->
			<input type="hidden" asp-for="ClientId" />

			<!--Hidden -->
			<input type="hidden" asp-for="ClientName" />

			<div class="card mt-3">
				<h5 class="card-header">@Localizer["PanelNewTitle"]</h5>
				<div class="card-body">

					<!--Select with tags-->
					<div class="form-group row">
						<label asp-for="Type" class="col-sm-3 col-form-label">
							@await Html.PartialAsync("Client/Section/Label", "Type")
						</label>
						<div class="col-sm-9">
							<picker id="Type" multiple-select="false" min-search-text="2"
									selected-item="@Model.Type" url="@Url.Action("SearchClaims", "Configuration")?claim"
							        search-input-placeholder="@Localizer["PickerSearchItemPlaceholder"].Value"
							        selected-items-title="@Localizer["PickerSelectedItemsTitle"].Value" 
							        search-result-title="@Localizer["PickerSearchResultTitle"].Value"
							        suggested-items-title="@Localizer["PickerSuggestedItemsTitle"].Value" 
							        no-item-selected-title="@Localizer["PickerNoItemSelectedTitle"].Value" 
							        show-all-items-title="@Localizer["PickerShowAllItemsTitle"].Value"
							        item-already-selected-title="@Localizer["PickerItemAlreadySelectedTitle"].Value"
									required="true" required-message="@Localizer["PickerRequiredMessage"].Value">
							</picker>

							<span asp-validation-for="Type" class="text-danger"></span>
						</div>
					</div>

					<!--Input - text -->
					<div class="form-group row">
						<label asp-for="Value" class="col-sm-3 col-form-label">
							@await Html.PartialAsync("Client/Section/Label", "Value")
						</label>
						<div class="col-sm-9">
							<input type="text" required class="form-control" asp-for="Value">
							<span asp-validation-for="Value" class="text-danger"></span>
						</div>
					</div>

					<!--Button-->
					<div class="form-group row">
						<label class="col-sm-3 col-form-label">
						</label>
						<div class="col-sm-9">
							<button type="submit" id="client-claims-button" class="btn btn-primary">@Localizer["ButtonAddNewClaim"]</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>

<div class="row">
	<div class="col-md-12">
		<div class="card mt-3">
			<h5 class="card-header">@Localizer["PanelTitle"]</h5>
			<div class="card-body">

				<div class="row table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>@Localizer["TableType"]</th>
								<th>@Localizer["TableValue"]</th>
								<th></th>
							</tr>
						</thead>

						<tbody>
							@foreach (var clientClaim in Model.ClientClaims)
							{
								<tr>
									<td>@clientClaim.Type</td>
									<td>@clientClaim.Value</td>
									<td><a asp-action="ClientClaimDelete" asp-route-id="@clientClaim.Id" class="btn btn-danger">@Localizer["TableButtonRemove"]</a></td>
								</tr>
							}
						</tbody>
					</table>
				</div>

				<div class="row">
					<div class="col-12">
						@await Html.PartialAsync("Common/Pager", new Pager { Action = "ClientClaims", PageSize = Model.PageSize, TotalCount = Model.TotalCount })
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

@section scripts
	{
	<script>
		$(function () {
			//Disable enter for this form
			FormMvc.disableEnter($('#client-claims-form'));

			//Allow validate hidden field
			FormMvc.allowValidateHiddenField($('#client-claims-form'));
		});
	</script>
}